Skip to main content
`Ctrl`+`K`

# numpy.char.replace

char.replace(a, old, new, count=-1)

  For each element in `a`, return a copy of the string with occurrences of substring `old` replaced by `new`.

  Parameters:
    a array_like, with `bytes_` or `str_` dtype
    old, new array_like, with `bytes_` or `str_` dtype
    count array_like, with `int_` dtype

      If the optional argument `count` is given, only the first `count` occurrences are replaced.

  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types

  See also

  `str.replace`

  Examples

      >>> import numpy as np
      >>> a = np.array(["That is a mango", "Monkeys eat mangos"])
      >>> np.strings.replace(a, 'mango', 'banana')
      array(['That is a banana', 'Monkeys eat bananas'], dtype='<U19')

      >>> a = np.array(["The dish is fresh", "This is it"])
      >>> np.strings.replace(a, 'is', 'was')
      array(['The dwash was fresh', 'Thwas was it'], dtype='<U19')